changement version PHP : quelles conséquences ?

  • Statut : non résolu
14 sujets de 16 à 29 (sur un total de 29)
  • Auteur
    Messages
  • #1010547
    ouistiti.net
    Participant
    Maître WordPress
    1905 contributions

    Voici ce que j’ai trouvé via le web: http://www.finalclap.com/faq/150-wordpress-connaitre-version

    #1010548
    ouistiti.net
    Participant
    Maître WordPress
    1905 contributions

    Si vous avez la dernière version qui est 4.2.2, il n’y a aucun problème. Si ce n’est pas le cas il faudra faire les mises à jour une à une. Vous pouvez les trouver via ce lien: https://fr.wordpress.org/releases/

    Avant chaque mise à jour, il est important de faire un backup des dossiers, fichiers et base de données.

    Bon courage! 🙂

    #1010549
    didier07
    Participant
    Maître WordPress
    1965 contributions

    J’ai pas mal de sites sur un php sans soucis, mais j’ai pas plugins non plus

    #1010550
    didier07
    Participant
    Maître WordPress
    1965 contributions

    PHP 5.6 le pavé numérique n’était pas actif 😳

    #1010551
    Marcall
    Membre
    Initié WordPress
    3 contributions

    Ouistiti: merci beaucoup, mais comme je le disais mon admin indique une invitation a upgrader a 4.2.2 – donc j’imagine que j’ai une version anterieure.
    En me rendant sur le lien que vous m’avez aimablement fourni, je n’arrive pas a utiliser ceci:
    Ou dois-je ouvrir ce lien? Et quell lien au juste?
    Merci infiniment..

    –> Via version.php

    Ouvrez le fichier wp-includes/version.php dans un éditeur de texte, vous y verrez le numéro de version au tout début :

    1
    2
    3
    4
    5
    6
    7

    <?php
    /**
    * The WordPress version string
    *
    * @global string $wp_version
    */
    $wp_version = ‘3.4’;

    #1010552
    ouistiti.net
    Participant
    Maître WordPress
    1905 contributions
    Marcall wrote:
    Ouistiti: merci beaucoup, mais comme je le disais mon admin indique une invitation a upgrader a 4.2.2 – donc j’imagine que j’ai une version anterieure..

    Oui, je n’en doute point. Avez-vous bien regardé en bas de l’écran à droite?
    Pourriez-vous mettre un lien (adresse url) qui pointe sur votre site?

    Ouvrez le fichier wp-includes/version.php dans un éditeur de texte, vous y verrez le numéro de version au tout début :

    C’est comme les poupées russes https://fr.wikipedia.org/wiki/Poup%C3%A9e_russe. Dans la grande, on y trouve une plus petite, et si on ouvre celle-ci, on y trouve une poupée encore plus petit ainsi de suite…

    Donc dans le dossier à la racine de votre site qui se nome « www », s’y trouve le dossier wp-include, et si on ouvre ce dossier il y a un fichier qui se nomme version.php. Une fois ce fichier ouvert, la version de wp est indiquée.

    En reprenant l’exemple ci-dessus on peut lire: $wp_version = ‘3.4’; ce qui signifie que c’est la version 3.4 qui est installée, non la 4.2.2

    Pour cela, il est possible d’utiliser FileZilla. Tuto: https://craym.eu/tutoriels/ftp/configuration_filezilla.html

    Une fois le fichier en question téléchargé sur votre bureau, lire les informations qui s’y trouvent dont la version installée.

    didier07 wrote:
    PHP 5.6 le pavé numérique n’était pas actif 😳

    Alerte rouge, le poisson va sortir de son bocal 😉 si ce n’est pas déjà fait …

    @Flobogo fini de se mouiller jusqu’au petit orteil, on fait le plongeon

    Ok! je sors on est vendredi :hs:

    #1010553
    ouistiti.net
    Participant
    Maître WordPress
    1905 contributions

    Rooôô! On est jeudi …

    #1010554
    Flobogo
    Modérateur
    Maître WordPress
    15229 contributions

    @Flobogo fini de se mouiller jusqu’au petit orteil, on fait le plongeon

    😆 Et le mieux, c’est que même dans la vraie vie, je suis une super frileuse, et toujours la dernière à l’eau ! Alors, le grand plongeon, très peu pour moi 😋

    Mais promis, je m’y mets ce WE qui arrive … très bientôt :happy:

    #1010555
    Flobogo
    Modérateur
    Maître WordPress
    15229 contributions

    Ça y est, j’ai fait le grand saut : je suis passée en PHP 5.5 🙂
    Et vous savez quoi ? Tout s’est bien passé 😎
    Je crois que tout fonctionne sur mon site, même les plugins un peu anciens. La vie est belle :happy:

    #1010556
    PhiLyon
    Modérateur
    Maître WordPress
    21820 contributions

    Je n’aurai qu’un mot 👏 ou 😎

    🙂

    #1010557
    Li-An
    Modérateur
    Maître WordPress
    21070 contributions

    Chez moi c’est en 5.6.8 alors tu as de la marge…

    #1010558
    ouistiti.net
    Participant
    Maître WordPress
    1905 contributions

    @Flobogo 🙂 bien, bien …

    @Marcall votre version actuel est : 3.3.1 donc il faut faire les mises à jours sans tarder, afin d’éviter quelques ennuis.

    #1010559
    Flobogo
    Modérateur
    Maître WordPress
    15229 contributions

    @ Li-An : mon hébergeur proposait aussi la 5.6 (je ne sais pas le 3ème chiffre), mais je n’ai pas osé aller si loin par peur d’un plugin qui plante. Je verrais ça dans quelques mois …

    @ Ouistiti.net : finalement, l’eau n’était pas si froide :D

    #1010560
    Li-An
    Modérateur
    Maître WordPress
    21070 contributions

    Il y a quand même une chance sur 10000 que ça plante. Il y a une compatibilité assez forte pour le langage php mais je sais que ça peut arriver – un logiciel de galerie flash jamais mis à jour et pas compatible php 5.5.

14 sujets de 16 à 29 (sur un total de 29)
  • Vous devez être connecté pour répondre à ce sujet.